Page MenuHome

Bone Constraints disappear after Undo/CTRL+Z (especially after undo-ing Armature>Symmetrize)
Closed, InvalidPublic

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1060 6GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 451.67

Blender Version
Broken: version: 2.83.2, branch: master, commit date: 2020-07-09 05:50, hash: rB239fbf7d936f
Worked: (newest version of Blender that worked as expected)

Short description of error
Sometimes bone constraints just disappear after pressing CTRL+Z. This has happened to me multiple times but unfortunately, I can't reliably reproduce the issue.

Exact steps for others to reproduce the error
Unfortunately, I can't reliably reproduce the issue. It seems to happen often when I symmetrize bones with constraints, then decide to undo the symmetrization for some reason. The constraint that disappear can be set up many steps before the Symmetrize operation.

Event Timeline

Todor Nikolov (ToshiCG) renamed this task from Constraints disappear after undo to Bone Constraints disappear after Undo/CTRL+Z (especially after undo-ing Armature>Symmetrize).Jul 20 2020, 9:37 AM
Todor Nikolov (ToshiCG) created this task.
Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Jul 21 2020, 8:39 PM

Thanks for the report, but I fear this can't be triaged as a complete bug report.

For the development team to be able to help, there needs to be reproducible steps (start blender, press this, then that ...).

Many bugs are fixed between the official releases. Please try the latest development snapshot of blender: https://builder.blender.org/download

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.